Bug 798654 - Review Request: cmpi-bindings - CMPI-compliant provider interface for various languages via SWIG
Review Request: cmpi-bindings - CMPI-compliant provider interface for various...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 09:07 EST by Vitezslav Crhonek
Modified: 2012-03-13 06:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-13 06:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsafrane: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vitezslav Crhonek 2012-02-29 09:07:17 EST
Spec URL: http://vcrhonek.fedorapeople.org/cmpi-bindings/cmpi-bindings.spec
SRPM URL: http://vcrhonek.fedorapeople.org/cmpi-bindings/cmpi-bindings-0.4.17-1.fc16.src.rpm
Description: CMPI-compliant provider interface for various languages via SWIG
Comment 1 Jan Safranek 2012-03-02 10:24:46 EST
Rpmlint output:
cmpi-bindings.src: W: invalid-url Source0: cmpi-bindings-0.4.17.tar.bz2
    This looks fine, upstream does not have a website.

cmpi-bindings-pywbem.x86_64: W: no-documentation
    At least upstream README and LICENSE should be there. I'd appreciate also some README.Fedora which would specify, where python providers are expected.

The package should create and own /usr/lib/pythonX.Y/site-packages/pycim directory.

Otherwise, all MUST review items are OK.
Comment 2 Vitezslav Crhonek 2012-03-08 08:28:45 EST
Fixed version:
http://vcrhonek.fedorapeople.org/cmpi-bindings/cmpi-bindings.spec
http://vcrhonek.fedorapeople.org/cmpi-bindings/cmpi-bindings-0.4.17-2.fc16.src.rpm


(In reply to comment #1)
> Rpmlint output:
> cmpi-bindings.src: W: invalid-url Source0: cmpi-bindings-0.4.17.tar.bz2
>     This looks fine, upstream does not have a website.
> 
> cmpi-bindings-pywbem.x86_64: W: no-documentation
>     At least upstream README and LICENSE should be there. I'd appreciate also
> some README.Fedora which would specify, where python providers are expected.

Documentation added, README.Fedora created (please let me know whether the content is ok).

> 
> The package should create and own /usr/lib/pythonX.Y/site-packages/pycim
> directory.

Fixed.

> 
> Otherwise, all MUST review items are OK.
Comment 3 Jan Safranek 2012-03-09 04:05:15 EST
Now it's perfect, thanks!
Comment 4 Vitezslav Crhonek 2012-03-12 08:39:03 EDT
New Package SCM Request
=======================
Package Name: cmpi-bindings
Short Description: CMPI-compliant provider interface for various languages via SWIG
Owners: vcrhonek
Branches: f16 f17
InitialCC:
Comment 5 Gwyn Ciesla 2012-03-12 08:59:46 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.